<?php
############################ MODIFICACIONES ########################################
#17/07/2017| ERICA G. | Verificar el valos disponible de los detalles de la dis.
#13-02-2017| 05:30 | Erica G. //Archivo Creado 
####################################################################################
require_once '../Conexion/conexion.php';
require_once '../Conexion/conexionPDO.php';
$con = new ConexionPDO();
session_start();
$comprobante = $_REQUEST['comprobante'];
$disponibilidad = $_REQUEST['disponibilidad'];
$resultado = true;
$conexion = $_SESSION['conexion'];
$resultado1 = $con->Listar("SELECT descripcion, valor, 
        rubrofuente,
        tercero, 
        proyecto, 
        id_unico, 
        conceptorubro, centro_costo 
      FROM gf_detalle_comprobante_pptal 
      where comprobantepptal =$disponibilidad");
for ($row = 0; $row < count($resultado1); $row++) {
    $valorRep = 0;
    ################VALOR DISPONIBLE##########
    $totalSaldDispo = 0;
    $valorRep += $resultado1[$row][1];
    $saldo = 0;
    ########AFECTACIONES A DISPONBILIDAD#########
    $afec = $con->Listar("SELECT tc.tipooperacion, dc.valor, dc.id_unico FROM gf_detalle_comprobante_pptal dc 
                LEFT JOIN gf_comprobante_pptal cp On dc.comprobantepptal = cp.id_unico 
                LEFT JOIN gf_tipo_comprobante_pptal tc ON cp.tipocomprobante = tc.id_unico 
                WHERE dc.comprobanteafectado = " . $resultado1[$row][5] . "");
    for ($row2 = 0; $row2 < count($afec); $row2++) {
        $v = $afec[$row2][1];
        if ($afec[$row2][0] == 2) {
            $valorRep += $v;
        } elseif ($row2[0] == 1) {
            $valorRep -= $v;
            ########AFECTACIONES A REGISTRO#########
            $afecR = $con->Listar("SELECT tc.tipooperacion, dc.valor FROM gf_detalle_comprobante_pptal dc 
                            LEFT JOIN gf_comprobante_pptal cp On dc.comprobantepptal = cp.id_unico 
                            LEFT JOIN gf_tipo_comprobante_pptal tc ON cp.tipocomprobante = tc.id_unico 
                            WHERE tc.tipooperacion !=1 AND dc.comprobanteafectado = " . $afec[$row2][2] . "");

            if (count($afecR) > 0) {
                for ($row2R = 0; $row2R < count($afecR); $row2R++) {
                    $v1 = $afecR[$row2R][1];
                    if ($afecR[$row2R][0] == 2) {
                        $valorRep -= $v1;
                    } elseif ($row2R[0] == 3) {
                        $valorRep += $v1;
                    }
                }
            }
        } elseif ($afecR[$row2][0] == 3) {
            $valorRep -= $v;
        }
    }
    $totalSaldDispo += $valorRep;
    $valor = $valorRep;
    ####################################################
    if ($valor > 0) {
        $datos = $con->Listar("SELECT descripcion, tercero FROM gf_comprobante_pptal WHERE id_unico =$comprobante");

        if ($resultado1[$row][1] > 0) {
            if (count($datos) > 0) {
                if (empty($datos[0][1])) {
                    $tercero = $resultado1[$row][3];
                } else {
                    $tercero = $datos[0][1];
                }
                if (empty($datos[0][0])) {
                    $descripcion = $resultado1[$row][0];
                } else {
                    $descripcion = $datos[0][0];
                }
            } else {
                $descripcion = $resultado1[$row][0];
                $tercero = $resultado1[$row][3];
            }

            $rubro = $resultado1[$row][2];
            $proyecto = $resultado1[$row][4];
            $idAfectado = $resultado1[$row][5];
            $conceptorubro = $resultado1[$row][6];
            $var = 0;
            $centro_costo = $resultado1[$row][7];
            $sql_cons  = "INSERT INTO gf_detalle_comprobante_pptal (valor,descripcion,
            comprobantepptal, rubrofuente, tercero, proyecto, comprobanteafectado, conceptorubro, centro_costo) 
            VALUES (:valor,:descripcion,:comprobante,:rubro,:tercero,:proyecto,:idAfectado,:conceptorubro,:centro_costo)";
            $sql_dato = array(
                array(":valor", $valor),
                array(":descripcion", $descripcion),
                array(":comprobante", $comprobante),
                array(":rubro", $rubro),
                array(":tercero", $tercero),
                array(":proyecto", $proyecto),
                array(":idAfectado", $idAfectado),
                array(":conceptorubro", $conceptorubro),
                array(":centro_costo", $centro_costo),
            );
            $obj_resp = $con->InAcEl($sql_cons, $sql_dato);
            if (empty($obj_resp)) {
                $resultado = true;
            } else {
                $resultado = false;
            }
        } else {
            $resultado = false;
        }
    }
}

echo json_encode($resultado);
